Mailinglist Archive: opensuse-buildservice (75 mails)

< Previous Next >
[opensuse-buildservice] OBS 2.8 is unable to resolve buildroot-only packages in dependent projects for Ubuntu 18.04 builds
  • From: Neal Gompa <ngompa13@xxxxxxxxx>
  • Date: Sun, 11 Mar 2018 12:55:50 -0400
  • Message-id: <CAEg-Je99JugzXurfULX4wiKQmrLiwVZZhdoQs2Bc=T6Q0ztDZQ@mail.gmail.com>
Hey,

I'm trying to do package builds with my internal OBS 2.8 system
against Ubuntu 18.04.

We have our setup such that we have an "Internal:BuildRoot" project
that provides a few packages that our packages can depend on at
build-time. The project doesn't publish, but it is set up to be usable
for build roots so that useful sets of macros and such are available.

In dependent projects that need packages from here, we do something like this:

<repository name="xUbuntu_18.04">
<path project="Internal:BuildRoot" repository="xUbuntu_18.04"/>
<path project="openSUSE.org:Ubuntu:debbuild" repository="Ubuntu_18.04"/>
<path project="openSUSE.org:Ubuntu:18.04" repository="universe"/>
<arch>x86_64</arch>
</repository>

For every other distribution, this results in when a spec file
requires one of the packages in there, it is able to successfully
resolve it and start the build. However, when we're targeting Ubuntu
18.04, I get the following from the OBS resolver instead: "nothing
provides packager-env". The "packager-env" is a virtual name provided
by a package called "packager-env-obs", and in other distribution
targets, this works.

The failure also affects "osc build", presumably because it relies on
the OBS service to define the build root in the buildinfo...

Anyone have any ideas what's going on here?

--
真実はいつも一つ!/ Always, there's only one truth!
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages